Subject: [netatalk-admins] Losing resource fork

From: Mike Holling <[email-masked]>
Date: Tue, 2 Dec 1997 13:41:28 -0800 (PST)

I've got netatalk-1.4b2+asun2.0a17 running on a FreeBSD 2.2.x machine
serving a small LAN.  Users claim that files sometimes have TEXT/UNIX
instead of their proper type/creator.  I can't seem to replicate the
problem, but I just saw this:

Dec  2 13:31:18 gromit afpd[13549]: afp_setforkparams: ad_dtruncate:
Invalid argument

Any ideas what it means?  It doesn't seem to have affected any files, at
least not that anyone's noticed yet.  I also get

Dec  2 12:24:41 gromit afpd[9816]: atp_rresp: Operation timed out
Dec  2 12:24:51 gromit afpd[9816]: afp_die: asp_shutdown: Operation timed
out

but these don't seem as relevant (there seems to be an unrelated problem
with the network, performance is not so great and there are occasional
pauses).

- Mike